// Low level port/pin definitions

#include "port_macros.h"

#ifndef _PORTS_CONFIG
#define _PORTS_CONFIG

#define LCD_CS_PORT		PORTB
#define LCD_CS_PINS		PINB 
#define LCD_CS_DDR		DDRB
#define LCD_CS_PIN		PB0

#define LCD_RESET_PORT	PORTB
#define LCD_RESET_PINS	PINB 
#define LCD_RESET_DDR	DDRB
#define LCD_RESET_PIN	PB1

#define LCD_RS_PORT		PORTB
#define LCD_RS_PINS		PINB 
#define LCD_RS_DDR		DDRB
#define LCD_RS_PIN		PB2

#define LCD_SDA_PORT	PORTB
#define LCD_SDA_PINS	PINB 
#define LCD_SDA_DDR		DDRB
#define LCD_SDA_PIN		PB3

#define LCD_SCC_PORT	PORTB
#define LCD_SCC_PINS	PINB 
#define LCD_SCC_DDR		DDRB
#define LCD_SCC_PIN		PB4

#define set_cs sbit(LCD_CS_PIN,LCD_CS_PORT) 
#define clr_cs cbit(LCD_CS_PIN,LCD_CS_PORT)

#define set_reset sbit(LCD_RESET_PIN,LCD_RESET_PORT) 
#define clr_reset cbit(LCD_RESET_PIN,LCD_RESET_PORT)

#define set_rs sbit(LCD_RS_PIN,LCD_RS_PORT) 
#define clr_rs cbit(LCD_RS_PIN,LCD_RS_PORT)

#define set_sda sbit(LCD_SDA_PIN,LCD_SDA_PORT) 
#define clr_sda cbit(LCD_SDA_PIN,LCD_SDA_PORT)
#define get_sda getbit(LCD_SDA_PIN,LCD_SDA_PINS)
#define set_sda_in cbit(LCD_SDA_PIN,LCD_SDA_DDR)
#define set_sda_out sbit(LCD_SDA_PIN,LCD_SDA_DDR)

#define set_sck sbit(LCD_SCC_PIN,LCD_SCC_PORT) 
#define clr_sck cbit(LCD_SCC_PIN,LCD_SCC_PORT)
#define get_sck	getbit(LCD_SCC_PIN,LCD_SCC_PORT)

#endif /* _PORTS_CONFIG */